package com.mortals.xhx.module.basics.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.basics.model.BasicsDatumEntity;
import com.mortals.xhx.module.basics.model.BasicsDatumQuery;

/**
* <p>Title: 一件事材料关联集合</p>
* <p>Description: BasicsDatumForm  </p>
* @author
* @version 1.0.0
*/
public class BasicsDatumForm extends BaseCRUDFormLong<BasicsDatumEntity> {
    private BasicsDatumEntity entity = new BasicsDatumEntity();
    private BasicsDatumQuery query = new BasicsDatumQuery();
    public BasicsDatumForm(){

    }

    @Override
    public BasicsDatumEntity getEntity() {
    return entity;
    }

    public void setBasicsDatum(BasicsDatumEntity entity) {
    this.entity = entity;
    }

    @Override
    public BasicsDatumQuery getQuery() {
    return query;
    }

    public void setQuery(BasicsDatumQuery query) {
    this.query = query;
    }
}